<id>
YaBB Media Center Y2.x
</id>

<version>
1.8
</version>

<mod info>
This mod allows the Multi Media files embedding in YaBB2 message.
It accepts .wma, .wax, .asx, .mid, .rmi, .wav, .wmv, .mp3, .avi, .mpg, .mpeg, .kar, .wpl, .asf, .rm, .ra, .ram, .qt, .mov and .qtm files and loads up the appropriate html player inside the message.

Usage
It works like [media]http://url.to/your/media.wmv[/media]. 
Player parameters that can be fed into it are  
 
[media loop] to loop the file after manual start 
[media autostart] to autostart the file and play it once 
[media loop autostart] to autostart and loop the file after manual start 
[media autostart loop] to autostart and loop the file after manual start 
Adding width=*** to the front tag gives you full control over the width of the player between 180 and 800 px.
The height is automatically adjusted to remain in a 4:3 ratio.

So [media width=500]http://url/to/your/movie.mpg[/media] will open Windows Media Player width 500 and waits for the play button to be clicked to start the movie.

Installation
Apply the mod, upload the changed YaBBC.pl and Post.pl.
Upload the changed ubbc.js in /yabbfiles/Templates
Upload MediaCenter.pl in /Sources and chmod it equal to the other pl's.
Take a drink and enjoy multi media embedding.

Version History
1.0
First release

1.1
Added asf and mov

1.2
Fixed multiple media files in one thread

1.3
Separated Windows Media Video and Audio player style so audio files do not have a black empty window.

1.4 
Added Macromedia Flash support .swf 
Added width control to all video players (audio defaults to 320 x 45 px)

1.5
Swapped Flash insert button in the UBBC row for an add Media Button.
Uninstall previous mod, install this version and upload YaBBC.pl, Post.pl, Post.lng and ubbc.js (which is in the zip altered from a clean distro)
Upload the media.gif button in your yabbfiles/Templates/Forum/default folder.
Instead of having an add Flash button you should now have a working Add Media button (perhaps clean your cache to allow the new js to be loaded)

1.6
Fixed Real Audio player not having a control center :-)

1.6a
Fixed wrong js sub called in Post.pl mod code :-)

1.7
- Renamed Embed_Media.pl to MediaCenter.pl
- Hardcoded a choice between media player 6.4, or 7, 9 or 10 (which can give compatibility problems on non Windows PC's)
- Added Mod Info

1.8
- Mod fix to find $defaultimagesdir instead if $imagedir
- Added improved YouTube support
- Updated to the latest player code
- Added hide / hidden as a parameter to make audio players "hide" from the screen.

1.9
- Added support for mp4, flv, divx, xdiv and google video
- updated code base for flash player to version 9.x.x.x

Version 1.7 users only need to update MediaPlayer.pl !!
</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.yabb.nl
</homepage>

<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
	$message =~ s~\/me\s+(.*)~<span style="color: #FF0000;"><i>* $displayname $1</i></span>~ig;
</search for>

<add after>

	require "$sourcedir/MediaCenter.pl";
	while ($message =~ s~\[media\]\n*(.*?)\n*\[/media\]~&embed($1)~eisg){ }
	while ($message =~ s~\[media\s*(.*?)\]\n*(.*?)\n*\[/media\]~&embed($2,$1)~eisg){ }
	$message =~ s~media:~http:~ig;
</add after>

<edit file>
Sources/Post.pl
</edit file>

<search for>
          document.write("<img src='$defaultimagesdir/flash.gif' onclick='flash();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'433'}' title='$post_txt{'433'}' border='0' />");
</search for>

<replace>
          document.write("<img src='$defaultimagesdir/media.gif' onclick='flash();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'433'}' title='$post_txt{'433'}' border='0' />");
</replace>

<edit file>
Languages/English/Post.lng
</edit file>

<search for>
'433' => "Insert Flash",
</search for>

<replace>
'433' => "Insert Media (options: loop autostart hide width=***)",
</replace>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mediacenter = "YaBB Media Center|Ron@Spikecity|Allows adding any media file to threads|V1.9|December 4th 2007";
	push (@installed_mods, "$mediacenter");
</add before>
